Bug 1269870 - [cli] When displaying user with '$' in name, cli crashes
[cli] When displaying user with '$' in name, cli crashes
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-extension-aaa-jdbc
Classification: oVirt
Component: Core (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-3.6.0-rc3
: 1.0.1
Assigned To: Martin Perina
Ondra Machacek
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 07:43 EDT by Ondra Machacek
Modified: 2016-02-10 14:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 08:40:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mperina: ovirt‑3.6.0?
mperina: exception?
omachace: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47416 master MERGED core: Fixes handling user/group with $ in name Never
oVirt gerrit 47465 ovirt-engine-extension-aaa-jdbc-1.0 MERGED core: Fixes handling user/group with $ in name Never

  None (edit)
Description Ondra Machacek 2015-10-08 07:43:41 EDT
Description of problem:


Version-Release number of selected component (if applicable):
v0.0.0-7

How reproducible:
always

Steps to Reproduce:
1. ovirt-aaa-jdbc-tool user add "test\$"
2. ovirt-aaa-jdbc-tool query --what=user

Actual results:
Oct 08, 2015 1:42:20 PM org.ovirt.engine.extension.aaa.jdbc.binding.cli.Cli main
SEVERE: Unexpected Exception invoking Cli: Illegal group reference: group index is missing

Expected results:
User displayed

Additional info:
String.replaceAll() characters needs to be escaped.

java.lang.IllegalArgumentException: Illegal group reference: group index is missing
	at java.util.regex.Matcher.appendReplacement(Matcher.java:819)
	at java.util.regex.Matcher.replaceAll(Matcher.java:955)
	at java.lang.String.replaceAll(String.java:2211)
	at org.ovirt.engine.extension.aaa.jdbc.binding.cli.Cli$27.invoke(Cli.java:1091)
	at org.ovirt.engine.extension.aaa.jdbc.binding.cli.Cli$Command.invoke(Cli.java:96)
	at org.ovirt.engine.extension.aaa.jdbc.binding.cli.Cli$23.invoke(Cli.java:940)
	at org.ovirt.engine.extension.aaa.jdbc.binding.cli.Cli$Command.invoke(Cli.java:96)
	at org.ovirt.engine.extension.aaa.jdbc.binding.cli.Cli$Command.invoke(Cli.java:121)
	at org.ovirt.engine.extension.aaa.jdbc.binding.cli.Cli.main(Cli.java:1118)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:497)
	at org.jboss.modules.Module.run(Module.java:312)
	at org.jboss.modules.Main.main(Main.java:473)
Comment 1 Martin Perina 2015-10-19 10:15:52 EDT
Fix contained in ovirt-engine-extension-aaa-jdbc-1.0.1
Comment 2 Martin Perina 2015-10-26 04:57:23 EDT
Fixes included in oVirt 3.6.0 RC3
Comment 3 Ondra Machacek 2015-10-27 08:01:29 EDT
Fine with ovirt-engine-extension-aaa-jdbc-1.0.1-1.el6ev.noarch
Comment 4 Sandro Bonazzola 2015-11-04 08:40:35 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.